pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints Class Reference

class to read retention time points of MsRun More...

`#include <msrunxicextractor.h>`

Inheritance diagram for pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints:

## Public Member Functions

| MsRunXicExtractorReadPoints (std::vector< MsRunXicExtractorPoints > &msrun_points)
virtual void | setQualifiedMassSpectrum (const QualifiedMassSpectrum &spectrum) override
virtual bool | needPeakList () const override
| tells if we need the peak list (if we want the binary data) for each spectrum More...
virtual void | loadingEnded () override
Public Member Functions inherited from pappso::SpectrumCollectionHandlerInterface
virtual bool | needMsLevelPeakList (unsigned int ms_level) const final
| tells if we need the peak list (if we want the binary data) for each spectrum, given an MS level More...
virtual void | setNeedMsLevelPeakList (unsigned int ms_level, bool want_peak_list) final
| tells if we need the peak list given More...
virtual bool | shouldStop ()
virtual void | spectrumListHasSize (std::size_t size)
virtual void | setReadAhead (bool is_read_ahead) final
| use threads to read a spectrum by batch of batch_size More...
virtual bool | isReadAhead () const
| tells if we want to read ahead spectrum More...

## Private Attributes

std::vector< MsRunXicExtractorPoints > & | m_msrun_points

## Detailed Description

class to read retention time points of MsRun

Definition at line 73 of file msrunxicextractor.h.

## Constructor & Destructor Documentation

## MsRunXicExtractorReadPoints()

pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::MsRunXicExtractorReadPoints | ( | std::vector< MsRunXicExtractorPoints > & | msrun_points | ) |

inline

Definition at line 79 of file msrunxicextractor.h.

: m_msrun_points(msrun_points){};
pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::m_msrun_points
std::vector< MsRunXicExtractorPoints > & m_msrun_points
Definition: msrunxicextractor.h:76

## Member Function Documentation

## loadingEnded()

virtual void pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::loadingEnded | ( |  | ) |

inline override virtual

Reimplemented from pappso::SpectrumCollectionHandlerInterface.

Definition at line 99 of file msrunxicextractor.h.

{
}

## needPeakList()

virtual bool pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::needPeakList | ( |  | ) | const

inline override virtual

tells if we need the peak list (if we want the binary data) for each spectrum

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 94 of file msrunxicextractor.h.

{
return false;
}

## setQualifiedMassSpectrum()

virtual void pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::setQualifiedMassSpectrum | ( | const QualifiedMassSpectrum & | spectrum | ) |

inline override virtual

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 84 of file msrunxicextractor.h.

{
if(spectrum.getMsLevel() == 1)
{
m_msrun_points.push_back(
{spectrum.getMassSpectrumId().getSpectrumIndex(),
spectrum.getRtInSeconds()});
}
}

References pappso::QualifiedMassSpectrum::getMassSpectrumId(), pappso::QualifiedMassSpectrum::getMsLevel(), pappso::QualifiedMassSpectrum::getRtInSeconds(), and m_msrun_points.

## Member Data Documentation

## m_msrun_points

std::vector<MsRunXicExtractorPoints>& pappso::MsRunXicExtractor::MsRunXicExtractorReadPoints::m_msrun_points

private

Definition at line 76 of file msrunxicextractor.h.

Referenced by setQualifiedMassSpectrum().

The documentation for this class was generated from the following file:

- pappsomspp/xicextractor/private/msrunxicextractor.h